Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Plugin not loaded on runtime eclipse
Plugin not loaded on runtime eclipse [message #1818303] Thu, 12 December 2019 08:25 Go to next message
Kirti Mahajan is currently offline Kirti MahajanFriend
Messages: 11
Registered: October 2019
Junior Member
Hi,

When I run my exported product it is working fine. Runtime eclipse opened successfully and new project also created.
But at the time of commit this project on git we are facing issue. Error popup occurs but after popup closed that project also comitted.

Error is given below:

eclipse.buildId=unknown
java.version=1.8.0_221
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_IN
Framework arguments: -product org.product.configTool
Command-line arguments: -product org.product.configTool -data G:\Kirti\Workspaces\workspace-mpogo/../runtime-configTool.product -dev file:G:/Kirti/Workspaces/workspace-mpogo/.metadata/.plugins/org.eclipse.pde.core/configTool.product/dev.properties -os win32 -ws win32 -arch x86_64 -consoleLog

org.eclipse.egit.core
Error
Thu Dec 12 18:16:38 IST 2019
Plug-in org.eclipse.emf.compare.ide.ui was unable to load class org.eclipse.emf.compare.ide.ui.internal.logical.EMFModelProvider.

org.eclipse.core.runtime.CoreException: Plug-in org.eclipse.emf.compare.ide.ui was unable to load class org.eclipse.emf.compare.ide.ui.internal.logical.EMFModelProvider.
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.throwException(RegistryStrategyOSGI.java:212)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:198)
at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:934)
at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:246)
at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:63)
at org.eclipse.core.internal.resources.mapping.ModelProviderDescriptor.getModelProvider(ModelProviderDescriptor.java:90)
at org.eclipse.egit.core.internal.util.ResourceUtil.getResourceMappings(ResourceUtil.java:640)
at org.eclipse.egit.ui.internal.synchronize.ModelAwareGitSynchronizer.canCompareDirectly(ModelAwareGitSynchronizer.java:131)
at org.eclipse.egit.ui.internal.synchronize.DefaultGitSynchronizer.canCompareDirectly(DefaultGitSynchronizer.java:64)
at org.eclipse.egit.ui.internal.synchronize.DefaultGitSynchronizer.compare(DefaultGitSynchronizer.java:93)
at org.eclipse.egit.ui.internal.synchronize.ModelAwareGitSynchronizer.access$1(ModelAwareGitSynchronizer.java:1)
at org.eclipse.egit.ui.internal.synchronize.ModelAwareGitSynchronizer$1.run(ModelAwareGitSynchronizer.java:72)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:122)
Caused by: java.lang.ClassNotFoundException: An error occurred while automatically activating bundle org.eclipse.emf.compare.ide.ui (106).
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:126)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:570)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:330)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:396)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:474)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:423)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:415)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:155)
at java.lang.ClassLoader.loadClass(Unknown Source)
at org.eclipse.osgi.internal.framework.EquinoxBundle.loadClass(EquinoxBundle.java:620)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:196)
... 11 more
Caused by: org.osgi.framework.BundleException: Error starting module.
at org.eclipse.osgi.container.Module.doStart(Module.java:607)
at org.eclipse.osgi.container.Module.start(Module.java:462)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:493)
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:117)
... 21 more
Caused by: java.lang.NoClassDefFoundError: org/eclipse/emf/compare/rcp/extension/AbstractRegistryEventListener
at java.lang.Class.getDeclaredConstructors0(Native Method)
at java.lang.Class.privateGetDeclaredConstructors(Unknown Source)
at java.lang.Class.getConstructor0(Unknown Source)
at java.lang.Class.getConstructor(Unknown Source)
at org.eclipse.osgi.internal.framework.BundleContextImpl.loadBundleActivator(BundleContextImpl.java:825)
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:778)
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:1013)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:365)
at org.eclipse.osgi.container.Module.doStart(Module.java:598)
... 24 more
Caused by: java.lang.ClassNotFoundException: An error occurred while automatically activating bundle org.eclipse.emf.compare.rcp (107).
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:126)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:570)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:330)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:396)
at org.eclipse.osgi.internal.loader.sources.SingleSourcePackage.loadClass(SingleSourcePackage.java:41)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:470)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:423)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:415)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:155)
at java.lang.ClassLoader.loadClass(Unknown Source)
... 33 more
Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.emf.compare.rcp.EMFCompareRCPPlugin.start() of bundle org.eclipse.emf.compare.rcp.
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:863)
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:791)
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:1013)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:365)
at org.eclipse.osgi.container.Module.doStart(Module.java:598)
at org.eclipse.osgi.container.Module.start(Module.java:462)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:493)
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:117)
... 42 more
Caused by: java.lang.NoSuchMethodError: org.apache.log4j.Logger.setLevel(Lorg/apache/log4j/Level;)V
at org.eclipse.emf.compare.rcp.EMFCompareRCPPlugin.initLogging(EMFCompareRCPPlugin.java:774)
at org.eclipse.emf.compare.rcp.EMFCompareRCPPlugin.start(EMFCompareRCPPlugin.java:259)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:842)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:834)
... 49 more
  • Attachment: Capture.JPG
    (Size: 77.52KB, Downloaded 13 times)

[Updated on: Mon, 16 December 2019 07:07]

Report message to a moderator

Re: Plugin not loaded on runtime eclipse [message #1818432 is a reply to message #1818303] Mon, 16 December 2019 07:39 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30820
Registered: July 2009
Senior Member
It looks like you have EMF compare installed and that it's expecting some newer version of Apache logging to be available but only an older one is available. But I don't know what very of anything that you have installed. Likely using an IDE with the latest release 2019-09 (soon to be 2019-12) would have this problem.
Re: Plugin not loaded on runtime eclipse [message #1818435 is a reply to message #1818432] Mon, 16 December 2019 09:13 Go to previous messageGo to next message
Kirti Mahajan is currently offline Kirti MahajanFriend
Messages: 11
Registered: October 2019
Junior Member
Hi,

I use eclipse version (2019-06). I am using EMF Compare in my code. All plugins available in my product. But at the time of running product my runtime eclipse opened in that eclipse we committed some file that time this error occurs.
Re: Plugin not loaded on runtime eclipse [message #1818438 is a reply to message #1818435] Mon, 16 December 2019 10:12 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30820
Registered: July 2009
Senior Member
Whatever is in your target platform is somehow not consistent. The version of Logger that I see has a setLevel method; at least one that it inherits from org.apache.log4j.Category.setLevel(Level) so you should look closely at what version of that is in your launch.
Previous Topic:Eclipse won't start anymore
Next Topic:JAVA instead of C++ [SOLVED]
Goto Forum:
  


Current Time: Mon Jan 27 08:27:07 GMT 2020

Powered by FUDForum. Page generated in 0.04042 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top